## r-cran-mapdata 2.0

=== DESCRIPTION ===
Package: mapdata
Title: Extra Map Databases
Version: 2.0-22
Date: 2007-09-12
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Depends: R (>= 1.7.0), maps (>= 2.0-7)
Description: Supplement to maps package, providing the larger and/or
	higher-resolution databases.
License: GPL2
Maintainer: Ray Brownrigg <Ray.Brownrigg@mcs.vuw.ac.nz>
Packaged: Wed Sep 12 14:10:09 2007; ray

=== src/Makefile ===
#-*- Makefile -*-

.SUFFIXES: .G .L .N .gon .line .name

CP = cp
ECHO = echo
RM = rm
PKGNAME = mapdata
TOUCH = touch

CFLAGS = -g -Wall -pedantic -O6

GDATA = china.G nzHires.G rivers.G worldHires.G world2Hires.G
LDATA = china.L nzHires.L rivers.L worldHires.L world2Hires.L
NDATA = china.N nzHires.N rivers.N worldHires.N world2Hires.N

.line.L:
	./Lmake 0 s b ${*}.line ${*}.linestats ../inst/mapdata/${*}.L

.gon.G:
	./Gmake b ${*}.gon ${*}.gonstats ../inst/mapdata/${*}.G ../inst/mapdata/${*}.L

.name.N:
	@$(CP) ${*}.name ../inst/mapdata/${*}.N

.PHONY: all gdata ldata ndata

all: gdata ndata $(PKGNAME)$(SHLIB_EXT)

gdata: Gmake ldata
	$(MAKE) $(GDATA)

ldata: Lmake world2Hires.line
	$(MAKE) $(LDATA)

ndata: world2Hires.line
	$(MAKE) $(NDATA)

$(PKGNAME)$(SHLIB_EXT):
	@$(TOUCH) $(PKGNAME)$(SHLIB_EXT)

world2Hires.line: worldHires.line
	@$(ECHO) "Converting world to world2"
	$(AWK) -f convert.awk < worldHires.line > world2Hires.line
	@$(CP) worldHires.linestats world2Hires.linestats
	@$(CP) worldHires.gon world2Hires.gon
	@$(CP) worldHires.gonstats world2Hires.gonstats
	@$(CP) worldHires.name world2Hires.name

clean:
	$(RM) -f Gmake Lmake ../inst/mapdata/* world2Hires.* $(PKGNAME).s[lo] $(PKGNAME).dylib

## r-cran-mapdata 2.1

=== DESCRIPTION ===
Package: mapdata
Title: Extra Map Databases
Version: 2.1-4
Date: 2011-04-15
Author: Original S code by Richard A. Becker and Allan R. Wilks. R
        version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Description: Supplement to maps package, providing the larger and/or
        higher-resolution databases.
Depends: R (>= 2.9.0), maps (>= 2.0-7)
LazyLoad: yes
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2011-04-14 03:19:26 UTC; ray
Repository: CRAN
Date/Publication: 2011-05-03 07:28:19

=== src/Makefile ===
--- 
+++ 
@@ -4,23 +4,24 @@
 
 CP = cp
 ECHO = echo
-RM = rm
+RM = rm -f 
 PKGNAME = mapdata
 TOUCH = touch
-
-CFLAGS = -g -Wall -pedantic -O6
+MKDIR = mkdir
 
 GDATA = china.G nzHires.G rivers.G worldHires.G world2Hires.G
 LDATA = china.L nzHires.L rivers.L worldHires.L world2Hires.L
 NDATA = china.N nzHires.N rivers.N worldHires.N world2Hires.N
 
 .line.L:
+	@$(MKDIR) -p ../inst/mapdata
 	./Lmake 0 s b ${*}.line ${*}.linestats ../inst/mapdata/${*}.L
 
 .gon.G:
 	./Gmake b ${*}.gon ${*}.gonstats ../inst/mapdata/${*}.G ../inst/mapdata/${*}.L
 
 .name.N:
+	@$(MKDIR) -p ../inst/mapdata
 	@$(CP) ${*}.name ../inst/mapdata/${*}.N
 
 .PHONY: all gdata ldata ndata
@@ -48,4 +49,5 @@
 	@$(CP) worldHires.name world2Hires.name
 
 clean:
-	$(RM) -f Gmake Lmake ../inst/mapdata/* world2Hires.* $(PKGNAME).s[lo] $(PKGNAME).dylib
+	$(RM) Gmake Lmake ../inst/mapdata/* world2Hires.* $(PKGNAME).s[lo] $(PKGNAME).dylib
+	$(RM) -r ../inst

## r-cran-mapdata 2.1-2

=== debian/changelog ===
r-cran-mapdata (2.1-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 18 May 2010 17:12:10 -0500

r-cran-mapdata (2.1-1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 30 Mar 2010 20:06:40 -0500

r-cran-mapdata (2.1-0-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 01 Apr 2009 12:18:45 -0500

r-cran-mapdata (2.0-23-1) unstable; urgency=low

  * New upstream release.
  * Include r-cran-maps in Build-Depends.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 01 Mar 2009 23:39:19 -0600

r-cran-mapdata (2.0-22-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 15 Sep 2007 22:16:10 -0500

r-cran-mapdata (2.0-21-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 11 Sep 2007 17:49:44 -0500

r-cran-mapdata (2.0-20-2) unstable; urgency=low

  * Always invoke /usr/bin/awk when building; see #440326.
  * demo(worldHires) appears to be working now.  (Closes: #237383)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 03 Sep 2007 17:44:48 -0500

r-cran-mapdata (2.0-20-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 14 Jun 2007 13:57:09 -0500

r-cran-mapdata (2.0-18-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch.
  * Update Standards-Version.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  3 Feb 2007 23:01:31 -0600

r-cran-mapdata (2.0-17-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 11 Jan 2006 04:12:43 -0500

r-cran-mapdata (2.0-14-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  3 Apr 2005 00:12:55 -0600

r-cran-mapdata (2.0-13-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 21 Nov 2004 00:46:29 -0600

r-cran-mapdata (2.0-12-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 29 Oct 2004 16:43:15 -0500

r-cran-mapdata (2.0-11-2) unstable; urgency=low

  * Rebuild for R 2.0.0.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  7 Oct 2004 23:57:09 -0500

r-cran-mapdata (2.0-11-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 19 Apr 2004 18:58:51 -0500

r-cran-mapdata (2.0-9-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 17 Feb 2004 23:46:55 -0600

r-cran-mapdata (2.0-8-1) unstable; urgency=low

  * Initial Debian Release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 14 Jan 2004 02:13:22 -0600

=== debian/control ===
Source: r-cran-mapdata
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 7), r-base-dev (>> 2.7.0), cdbs, r-cran-maps
Standards-Version: 3.8.4

Package: r-cran-mapdata
Architecture: any
Depends: r-base-core (>= 2.7.0), r-cran-maps, ${misc:Depends}
Suggests: r-cran-mapproj
Description: GNU R support for producing geographic maps (supplemental data)
 This package provides facilities for easily producing high-resolution
 maps based on data sets in the GNU R statistical computing
 environment.  It includes high-resolution map data for the entire
 world, along with maps of China (including provincial boundaries) and
 a higher-resolution map of New Zealand and a number of nearby Pacific
 islands.
 .
 The suggested r-cran-mapproj package adds facilities for
 calculating geographic projections, which are used by mapmakers to
 compensate for the inaccuracies inherent in projecting a spheroid's
 surface onto a two-dimensional plane.

## r-cran-mapdata 2.1-3

=== debian/changelog ===
r-cran-mapdata (2.1-3-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 07 Jul 2010 03:50:46 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 7), r-base-dev (>> 2.7.0), cdbs, r-cran-maps
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 
 Package: r-cran-mapdata
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk

## We need the CRAN (upstream) name 
cranName	:= $(shell grep Package: DESCRIPTION | cut -f2 -d" ")
## and we need to build a Debian Policy-conformant lower-case package name
cranNameLC	:= $(shell echo $(cranName) | tr "[A-Z]" "[a-z]" | tr "." "-" )
## which we can use to build the package directory 
package		:= r-cran-$(cranNameLC)
## which we use for the to-be-installed-in directory
debRlib		:= $(CURDIR)/debian/$(package)/usr/lib/R/site-library

common-install-indep:: R_any_arch
common-install-arch:: R_any_arch

R_any_arch:
		dh_installdirs		usr/lib/R/site-library
		AWK=/usr/bin/awk R CMD INSTALL -l $(debRlib) .
		rm -vf $(debRlib)/R.css $(debRlib)/$(cranNameLC)/COPYING

clean::
		(cd src; make clean)

## r-cran-mapdata 2.1-4

=== debian/changelog ===
r-cran-mapdata (2.1-4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 06 May 2011 13:14:49 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 7), r-base-dev (>> 2.7.0), cdbs, r-cran-maps
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 
 Package: r-cran-mapdata
 Architecture: any

## r-cran-mapdata 2.2

=== DESCRIPTION ===
Package: mapdata
Title: Extra Map Databases
Version: 2.2-2
Date: 2013-03-01
Author: Original S code by Richard A. Becker and Allan R. Wilks.  R
        version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
Description: Supplement to maps package, providing the larger and/or
        higher-resolution databases.
Depends: R (>= 2.10.0), maps (>= 2.0-7)
LazyLoad: yes
License: GPL-2
Maintainer: Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>
Packaged: 2013-02-28 19:54:08 UTC; ray
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-03-01 07:59:28

=== src/Makefile ===
#-*- Makefile -*-

.SUFFIXES: .G .L .N .gon .line .name

CP = cp
ECHO = echo
RM = rm -f 
PKGNAME = mapdata
MKDIR = mkdir

GDATA = china.G japan.G nzHires.G rivers.G worldHires.G world2Hires.G
LDATA = china.L japan.L nzHires.L rivers.L worldHires.L world2Hires.L
NDATA = china.N japan.N nzHires.N rivers.N worldHires.N world2Hires.N

.line.L:
	@$(MKDIR) -p ../inst/mapdata
	./Lmake 0 s b ${*}.line ${*}.linestats ../inst/mapdata/${*}.L

.gon.G:
	./Gmake b ${*}.gon ${*}.gonstats ../inst/mapdata/${*}.G ../inst/mapdata/${*}.L

.name.N:
	@$(MKDIR) -p ../inst/mapdata
	@$(CP) ${*}.name ../inst/mapdata/${*}.N

.PHONY: all gdata ldata ndata

all: gdata ndata

gdata: Gmake ldata
	$(MAKE) $(GDATA)

ldata: Lmake world2Hires.line
	$(MAKE) $(LDATA)

ndata: world2Hires.line
	$(MAKE) $(NDATA)

world2Hires.line: worldHires.line
	@$(ECHO) "Converting world to world2"
	$(AWK) -f convert.awk < worldHires.line > world2Hires.line
	@$(CP) worldHires.linestats world2Hires.linestats
	@$(CP) worldHires.gon world2Hires.gon
	@$(CP) worldHires.gonstats world2Hires.gonstats
	@$(CP) worldHires.name world2Hires.name

clean:
	$(RM) Gmake Lmake ../inst/mapdata/* world2Hires.* $(PKGNAME).s[lo] $(PKGNAME).dylib *.exe
	$(RM) -r ../inst

## r-cran-mapdata 2.2-0

=== debian/changelog ===
r-cran-mapdata (2.2-0-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 04 Nov 2011 13:09:44 -0400

r-cran-mapdata (2.1-4-2) unstable; urgency=low

  * Rebuild for R 2.14.0.  (Closes: #646049)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 20 Oct 2011 21:28:16 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>> 2.7.0), cdbs, r-cran-maps
+Build-Depends: debhelper (>> 7), r-base-dev (>> 2.14), cdbs, r-cran-maps (>= 2.1-6-2)
 Standards-Version: 3.9.2
 
 Package: r-cran-mapdata
 Architecture: any
-Depends: r-base-core (>= 2.7.0), r-cran-maps, ${misc:Depends}
+Depends: r-base-core (>= 2.14), r-cran-maps (>= 2.1-6-2), ${misc:Depends}
 Suggests: r-cran-mapproj
 Description: GNU R support for producing geographic maps (supplemental data)
  This package provides facilities for easily producing high-resolution

## r-cran-mapdata 2.2-1

=== debian/changelog ===
r-cran-mapdata (2.2-1-1) unstable; urgency=low

  * New upstream release
  * Finally use r-cran.mk.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 22 Mar 2012 14:30:12 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 7), r-base-dev (>> 2.14), cdbs, r-cran-maps (>= 2.1-6-2)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: r-cran-mapdata
 Architecture: any
-Depends: r-base-core (>= 2.14), r-cran-maps (>= 2.1-6-2), ${misc:Depends}
+Depends: ${R:Depends}, r-cran-maps (>= 2.1-6-2), ${misc:Depends}
 Suggests: r-cran-mapproj
 Description: GNU R support for producing geographic maps (supplemental data)
  This package provides facilities for easily producing high-resolution

=== debian/watch ===
version=2
http://cran.wustl.edu/src/contrib/mapdata_(.*)\.tar\.gz

## r-cran-mapdata 2.2-2

=== debian/changelog ===
r-cran-mapdata (2.2-2-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for R 3.0.
  * Updated debian/watch from Bart Martens <bartm@d.o>

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 31 Mar 2013 20:38:50 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>> 2.14), cdbs, r-cran-maps (>= 2.1-6-2)
+Build-Depends: debhelper (>> 7), r-base-dev (>= 3.0), cdbs, r-cran-maps (>= 2.3-2)
 Standards-Version: 3.9.3
+Homepage: http://cran.r-project.org/package=mapdata
 
 Package: r-cran-mapdata
 Architecture: any
-Depends: ${R:Depends}, r-cran-maps (>= 2.1-6-2), ${misc:Depends}
+Depends: ${R:Depends}, r-cran-maps (>= 2.3-2), ${misc:Depends}
 Suggests: r-cran-mapproj
 Description: GNU R support for producing geographic maps (supplemental data)
  This package provides facilities for easily producing high-resolution

=== debian/watch ===
version=2
http://cran.wustl.edu/web/packages/mapdata/index.html .*/mapdata[_-](\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 17 Nov 2012 15:52:28 +0000

## r-cran-mapdata 2.2-3

=== debian/changelog ===
r-cran-mapdata (2.2-3-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 03 Jun 2014 10:11:50 -0400

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

clean::
	(cd src; make clean)

common-install-arch::
	chmod -x $(debRlib)/mapdata/mapdata/*.N

## r-cran-mapdata 2.2-4

=== debian/changelog ===
r-cran-mapdata (2.2-4-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 14 Jul 2015 20:04:58 -0400

## r-cran-mapdata 2.2-6

=== debian/changelog ===
r-cran-mapdata (2.2-6-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 15 Jan 2016 00:04:27 -0500

r-cran-mapdata (2.2-5-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 07 Sep 2015 23:21:40 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>= 3.0), cdbs, r-cran-maps (>= 2.3-2)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, r-cran-maps (>= 2.3-2)
+Standards-Version: 3.9.5
 Homepage: http://cran.r-project.org/package=mapdata
 
 Package: r-cran-mapdata
 Architecture: any
-Depends: ${R:Depends}, r-cran-maps (>= 2.3-2), ${misc:Depends}
+Depends: ${R:Depends}, r-cran-maps (>= 2.3-7), ${misc:Depends}
 Suggests: r-cran-mapproj
 Description: GNU R support for producing geographic maps (supplemental data)
  This package provides facilities for easily producing high-resolution

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/R/debian/r-cran.mk
 
 clean::
-	(cd src; make clean)
+	-(cd src; make clean)
 
 common-install-arch::
 	chmod -x $(debRlib)/mapdata/mapdata/*.N

=== debian/watch ===
version=2
http://cran.r-project.org/web/packages/mapdata/index.html .*/mapdata[_-](\d.*)\.tar\.(?:gz|bz2|xz)
# Bart Martens <bartm@debian.org>  Sat, 17 Nov 2012 15:52:28 +0000

## r-cran-mapdata 2.3.0

=== DESCRIPTION ===
Package: mapdata
Title: Extra Map Databases
Version: 2.3.0
Date: 2018-03-29
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
Description: Supplement to maps package, providing the larger and/or
	higher-resolution databases.
Depends: R (>= 2.14.0), maps (>= 2.0-7)
LazyData: yes
License: GPL-2
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Packaged: 2018-03-30 10:58:56 UTC; dalex
Repository: CRAN
Date/Publication: 2018-03-30 13:12:08 UTC

=== debian/changelog ===
r-cran-mapdata (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 09:58:11 +0200

r-cran-mapdata (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 13 Dec 2018 22:11:33 +0100

r-cran-mapdata (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 02 Apr 2018 20:57:24 +0200

r-cran-mapdata (2.2-6-2) unstable; urgency=medium

  * Team upload.
  * Secure URI in watch file
  * cme fix dpkg-control
  * debhelper 11
  * Take over package into r-pkg team
  * Convert from cdbs to dh-r
  * Document binary data files in debian/README.source
  * Testsuite: autopkgtest-pkg-r
  * DEP5

 -- Andreas Tille <tille@debian.org>  Tue, 13 Mar 2018 17:14:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,26 @@
 Source: r-cran-mapdata
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, r-cran-maps (>= 2.3-2)
-Standards-Version: 3.9.5
-Homepage: http://cran.r-project.org/package=mapdata
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-maps
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mapdata
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mapdata.git
+Homepage: https://cran.r-project.org/package=mapdata
+Rules-Requires-Root: no
 
 Package: r-cran-mapdata
 Architecture: any
-Depends: ${R:Depends}, r-cran-maps (>= 2.3-7), ${misc:Depends}
-Suggests: r-cran-mapproj
+Depends: ${R:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R support for producing geographic maps (supplemental data)
  This package provides facilities for easily producing high-resolution
  maps based on data sets in the GNU R statistical computing

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.N" -exec chmod -x \{\} \;

## r-cran-mapdata 2.3.1

=== DESCRIPTION ===
Package: mapdata
Title: Extra Map Databases
Version: 2.3.1
Date: 2022-10-31
Author: Original S code by Richard A. Becker and Allan R. Wilks.
	R version by Ray Brownrigg <Ray.Brownrigg@ecs.vuw.ac.nz>.
Description: Supplement to maps package, providing some larger and/or
	higher-resolution databases. NOTE: this is a legacy package. The world map is out-dated.
Depends: R (>= 2.14.0), maps (>= 2.0-7)
LazyData: yes
License: GPL-2
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Packaged: 2022-10-31 20:52:53 UTC; alex
Repository: CRAN
Date/Publication: 2022-11-01 00:57:32 UTC

=== debian/changelog ===
r-cran-mapdata (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2022 11:44:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-maps
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mapdata
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mapdata.git
 Homepage: https://cran.r-project.org/package=mapdata
